# SharePoint — File Storage API: gotchas

> Canonical URL: https://developers.apideck.com/apis/file-storage/sharepoint/gotchas

## GET /file-storage/files

SharePoint does not include a total record count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` to the OData query — not currently implemented.

## POST /file-storage/files

Sharepoint limits file uploads to 4MB. Please use the [Upload Sessions API](#operation/uploadSessionsStart) to upload bigger files.
## GET /file-storage/drives

SharePoint does not include a total record count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` to the OData query — not currently implemented.

## GET /file-storage/drive-groups

SharePoint does not include a total record count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` to the OData query — not currently implemented.


[API reference](https://developers.apideck.com/apis/file-storage/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/file-storage/coverage)
